<template>
	<div
		id="genre-box"
		class="elementPosition"
		v-for="(genre, index) in genres"
		:key="index"
		:style="propCss(genre)"
	>
		<div class="container">
			<img :src="require(`@/assets/images/${genre.imgUrl}`)" alt="genre-img">
			<h2>{{genre.genreName}}</h2>
		</div>
	</div>
</template>

<script>
export default {
	props: {
		genres: {
			type: Array,
			required: true,
		},
	},
	computed: {
		propCss() {
			return genre => {
				return `background: ${genre.color}`;
			}
		},
	},
	data() {
		return {

		}
	},
	name: "genre-one"
}
</script>

<style scoped>

#genre-box {
	@import url('https://fonts.googleapis.com/css2?family=Mulish:wght@400;800&display=swap');
	font-family: 'Mulish', sans-serif;
	width: 340px;
	height: 198px;
	color: #fff;
	border-radius: 20px;
	box-sizing: border-box;
}

.elementPosition {
	display: flex;
	justify-content: center;
	align-items: center;
}

.container {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	background-color: transparent;
}

.container img {
	margin-bottom: 10px;
	background-color: transparent;
}

.container h2 {
	background-color: transparent;
}

</style>